# Class CIM_SystemBusCard
extends CIM_Card

The SystemBusCard class represents additional information for a CIM_Card, detailing the Card's bus type and data width. These properties dictate the type of Slot into which the Card can be inserted. For example, using the properties of this class, one can define that a Card is a PCI, 64 bit adapter.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_PhysicalElement
|
+--CIM_PhysicalPackage
|
+--CIM_Card
|
+--CIM_SystemBusCard

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The SystemBusCard class represents additional information for a CIM_Card, detailing the Card's bus type and data width. These properties dictate the type of Slot into which the Card can be inserted. For example, using the properties of this class, one can define that a Card is a PCI, 64 bit adapter.
UMLPackagePath | string | CIM::Physical::Package
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BusType | uint16 |
Description | string | An enumerated integer describing the System bus type for this Card. It indicates the type of Slot into which the Card can plug. The list of permissible values aligns with the System bus types in CIM_PhysicalConnector.Connector Type.
ModelCorrespondence | string | CIM_PhysicalConnector.ConnectorType
ValueMap | string | 43, 44, 45, 46, 47, 48, 49, 50, 52, 64, 65, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 98, 99, 100, 101, 102, 103, 104, 105, 106, 109, 110, 111, 112

Values

string

PCI, ISA, EISA, VESA, PCMCIA, PCMCIA Type I, PCMCIA Type II, PCMCIA Type III, CardBus, Access.bus, NuBus, AGP, VME Bus, VME64, Proprietary, Proprietary Processor Card Slot, Proprietary Memory Card Slot, Proprietary I/O Riser Slot, PCI-66MHZ, AGP2X, AGP4X, PC-98, PC-98-Hireso, PC-H98, PC-98Note, PC-98Full, PCI-X, Sbus IEEE 1396-1993 32 bit, Sbus IEEE 1396-1993 64 bit, MCA, GIO, XIO, HIO, NGIO, PMC, Future I/O, InfiniBand, AGP8X, PCI-E

BusWidth | uint16 |
Description | string | System bus width (in bits) required by this Card. If 'unknown', enter 0. If 'other' than the values, 8, 16, 32, 64 or 128, enter 1. The list of permissible values aligns with the data in CIM_Slot.MaxBusWidth.
ModelCorrespondence | string | CIM_Slot.MaxDataWidth
Units | string | Bits
ValueMap | string | 0, 1, 8, 16, 32, 64, 128

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
CanBeFRUed | boolean | CIM_PhysicalElement
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_PhysicalElement
Depth | real32 | CIM_PhysicalPackage
Description | string | CIM_PhysicalElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_PhysicalElement
HealthState | uint16 | CIM_ManagedSystemElement
Height | real32 | CIM_PhysicalPackage
HostingBoard | boolean | CIM_Card
HotSwappable | boolean | CIM_PhysicalPackage
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
ManufactureDate | datetime | CIM_PhysicalElement
Manufacturer | string | CIM_PhysicalElement
Model | string | CIM_PhysicalElement
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherIdentifyingInfo | string | CIM_PhysicalElement
OtherPackageType | string | CIM_PhysicalPackage
PackageType | uint16 | CIM_PhysicalPackage
PartNumber | string | CIM_PhysicalElement
PoweredOn | boolean | CIM_PhysicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Removable | boolean | CIM_PhysicalPackage
RemovalConditions | uint16 | CIM_PhysicalPackage
Replaceable | boolean | CIM_PhysicalPackage
RequirementsDescription | string | CIM_Card
RequiresDaughterBoard | boolean | CIM_Card
SerialNumber | string | CIM_PhysicalElement
SKU | string | CIM_PhysicalElement
SlotLayout | string | CIM_Card
SpecialRequirements | boolean | CIM_Card
Status | string | CIM_ManagedSystemElement
Tag | string | CIM_PhysicalElement
UserTracking | string | CIM_PhysicalElement
VendorEquipmentType | string | CIM_PhysicalElement
Version | string | CIM_PhysicalElement
Weight | real32 | CIM_PhysicalPackage
Width | real32 | CIM_PhysicalPackage
OperatingVoltages | sint16[] | CIM_Card
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement
VendorCompatibilityStrings | string[] | CIM_PhysicalPackage

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ConnectorPower | uint32 | CIM_Card
IsCompatible | uint32 | CIM_PhysicalPackage